Subject: Re: [PATCH 0/3] convert submodule.c to not use the index compat macros

From: Junio C Hamano <[email-masked]>
Date: Tue, 12 Dec 2017 12:44:16 -0800

Stefan Beller <[email-masked]> writes:

> ... would call out patch 2 to be a bugfix that could
> go independently, but the whole series is fine as-is with me.

Good eyes.  

I agree that it makes sense to treat 2/3 as a follow-up fix for an
already graduated topic, and make the other two depend on a result
of applying that first.  In practice it should not matter all that
much in this case, because the breakage is only in 'master' and is
not going to be merged down to 'maint', but it nevertheless was a
good point to raise.

Thanks for carefully reading the patches through.